<?php

declare(strict_types=1);

namespace Drupal\search_api_typesense\Ai;

/**
 * Interface for configuration manager.
 */
interface ConfigurationManagerInterface {

  /**
   * Return the value to store.
   *
   * @param string $key
   *   The value key.
   *
   * @return mixed
   *   The value to store.
   */
  public function getValueToStore(string $key): mixed;

  /**
   * Return the value to use as default.
   *
   * @param string $key
   *   The value key.
   *
   * @return mixed
   *   The value to use as default.
   */
  public function getDefaultValue(string $key): mixed;

}
