<?php

declare(strict_types=1);

namespace Drupal\search_api_typesense\Ai;

use Drupal\Core\Form\FormStateInterface;

/**
 * Store configuration in the form state.
 */
class FormStateConfigurationManager implements ConfigurationManagerInterface {

  /**
   * FormStateConfigurationManager constructor.
   *
   * @param \Drupal\Core\Form\FormStateInterface $form_state
   *   The form state.
   * @param array|null $conversation
   *   The conversation configuration array.
   */
  public function __construct(
    private readonly FormStateInterface $form_state,
    private readonly ?array $conversation = NULL,
  ) {
  }

  /**
   * {@inheritdoc}
   */
  public function getValueToStore(string $key): mixed {
    return $this->form_state->getValue('conversation_model_config')[$key];
  }

  /**
   * {@inheritdoc}
   */
  public function getDefaultValue(string $key): mixed {
    return $this->conversation[$key] ?? '';
  }

}
