<?php

declare(strict_types=1);

namespace Drupal\search_api_typesense\Ai;

use Drupal\search_api_typesense\Entity\TypesenseSchemaInterface;

/**
 * Store configuration in the third party settings.
 */
class SchemaConfigurationManager implements ConfigurationManagerInterface {

  public function __construct(
    private readonly TypesenseSchemaInterface $schema,
  ) {
  }

  /**
   * {@inheritdoc}
   */
  public function getValueToStore(string $key): mixed {
    return $this->schema->get($key);
  }

  /**
   * {@inheritdoc}
   */
  public function getDefaultValue(string $key): mixed {
    return $this->getValueToStore($key);
  }

}
