<?php

declare(strict_types=1);

namespace Drupal\search_api_typesense\Plugin\search_api_typesense\AiModel;

use Drupal\Component\Plugin\PluginBase;
use Drupal\Core\StringTranslation\TranslatableMarkup;
use Drupal\search_api_typesense\Ai\AiModelInterface;
use Drupal\search_api_typesense\Ai\ConfigurationManagerInterface;
use Drupal\search_api_typesense\Attribute\AiModel;

/**
 * Describe the all-MiniLM-L12-v2 embedding model.
 */
#[AiModel(
  id          : 'all-MiniLM-L12-v2',
  name        : 'ts/all-MiniLM-L12-v2',
  remote      : FALSE,
  embedding   : TRUE,
  conversation: FALSE,
  label       : new TranslatableMarkup('Local: all-MiniLM-L12-v2'),
  description : new TranslatableMarkup('Sentence-transformers model that maps sentences & paragraphs to vector space and can be used for tasks like clustering or semantic search.'),
)]
final class MiniLM extends PluginBase implements AiModelInterface {

  use AiModelTrait;

  /**
   * {@inheritdoc}
   */
  public function applyConfiguration(
    array $params,
    ConfigurationManagerInterface $configuration_manager,
  ): array {
    return [
      'model_name' => $this->pluginDefinition['name'],
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function buildConfigurationForm(
    array $form,
    ConfigurationManagerInterface $configuration_manager,
  ): array {
    return [];
  }

}
