<?php

declare(strict_types=1);

namespace Drupal\search_api_typesense\Plugin\search_api_typesense\AiModel;

use Drupal\Core\StringTranslation\TranslatableMarkup;
use Drupal\search_api_typesense\Attribute\AiModel;

/**
 * Describe the OpenAI text-embedding-3-large embedding model.
 */
#[AiModel(
  id          : 'openai_text-embedding-3-large',
  name        : 'openai/text-embedding-3-large',
  remote      : FALSE,
  embedding   : TRUE,
  conversation: FALSE,
  label       : new TranslatableMarkup('OpenAI: text-embedding-3-large'),
  description : new TranslatableMarkup('Version 3 of the OpenAI embedding model. Large version'),
)]
final class OpenAI3Large extends OpenAI3Base {

}
